Resources

The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts.

List Resources

get
/api/v1/resource/catalog

Use this endpoint to list all catalog resources. The resources can be sorted or filtered by most of the fields in the response, using the Sort and Filter JSON objects respectively. More details about the sort and filter query parameters can be found below. The default sort is by external usage in descending order.

Please refer to our product documentation herearrow-up-right for assistance with the filter param. We have exposed a filter generator in https://app.secoda.co/settings/api to make creating these requests easier.

Important Limitations:

  • This endpoint has a maximum limit of 10,000 resources that can be returned across all pages

  • For large datasets exceeding 10,000 resources, consider using more specific filter to narrow your results

Authorizations
Query parameters
pagenumberOptional

The page number for paginated results.

Example: 2
teamsstringOptional

The ID of the team the resources should filter by.

Example: 550e8400-e29b-41d4-a716-446655440000
filterstringOptional

A serialized and URL encoded JSON object to define filters on the catalog resources. See Catalog Filter for the definition of this JSON object.

Example: %7B%22operator%22%3A%20%22and%22%2C%20%22operands%22%3A%20%5B%7B%22operator%22%3A%20%22contains%22%2C%20%22field%22%3A%20%22title%22%2C%20%22value%22%3A%20%22customers%22%7D%2C%20%7B%22operator%22%3A%20%22in%22%2C%20%22field%22%3A%20%22native_type%22%2C%20%22value%22%3A%20%5B%22table%22%2C%20%22view%22%5D%7D%2C%20%7B%22operator%22%3A%20%22in%22%2C%20%22field%22%3A%20%22integration_id%22%2C%20%22value%22%3A%20%5B%220b0d4419-841f-4413-8510-ee068487adec%22%5D%7D%2C%20%7B%22operator%22%3A%20%22in%22%2C%20%22field%22%3A%20%22parent_id%22%2C%20%22value%22%3A%20%5B%22c8878ff2-67e4-460c-a5b5-ce1ee0209d49%22%5D%7D%5D%7D%0A
sortstringOptional

A serialized and URL encoded JSON object to define the sort pattern on the catalog resources. See Catalog Sort for the definition of this JSON object.

Example: %7B%22field%22%3A%22native_type%22%2C%22order%22%3A%22asc%22%2C%22tie_breaker%22%3A%7B%22field%22%3A%22external_usage%22%2C%22order%22%3A%22asc%22%7D%7D
Responses
chevron-right
200

List of resources.

application/json
get
/api/v1/resource/catalog

Create Resource

post
/api/v1/resource/catalog

This endpoint allows you to create a new resource with the specified data. The title will map to the resource name, and the definition can be added to the definition field.

Authorizations
Body
Responses
post
/api/v1/resource/catalog

Get Resource

get
/api/v1/resource/all/{resource_id}

This endpoint will provide the details of an individual resource.

Authorizations
Path parameters
resource_idstringRequired

The ID of the resource to retrieve.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Responses
chevron-right
200

Resource details retrieved successfully.

application/json
idstringOptional

Unique identifier for the resource.

created_atstring · date-timeOptional

The creation timestamp of the resource in Secoda.

updated_atstring · date-timeOptional

The last update timestamp of the resource in Secoda.

entity_typestringOptional

The type of the resource.

native_typestringOptional

The type of the resource as indicated in the integration.

iconstringOptional

An optional icon for the resource.

titlestringOptional

The title of the resource.

title_fullstringOptional

The full title of the resource, including its ancestry.

title_casedstringOptional

The title of the resource in title case format.

descriptionstringOptional

Description of the resource.

definitionstringOptional

The markdown documentation of the resource.

definition_versionintegerOptional

Version number of the resource documentation.

multiplayersobject[]Optional

List of users interacting collaboratively on the resource [Not currently in use].

multiplayer_last_modified_bystringOptional

The last user to modify the resource [Not currently in use].

multiplayer_last_modifiedstringOptional

Timestamp of the last modification [Not currently in use].

ownersstring[]Optional

List of User IDs associated with the resource.

owners_groupsstring[]Optional

List of Group IDs associated with the resource.

collectionsstring[]Optional

List of Collection IDs to which the resource belongs.

tagsstring[]Optional

List of Tag IDs associated with the resource.

workspace_idstringOptional

Workspace identifier in which the resource resides.

publishedbooleanOptional

Flag indicating whether the resource is published and visible to Viewers.

archivedbooleanOptional

Flag indicating whether the resource is archived.

archived_atstring · nullableOptional

Timestamp when the resource was archived.

piibooleanOptional

Flag indicating if the resource contains personally identifiable information.

verifiedbooleanOptional

Flag indicating whether the resource has been verified.

urlstringOptional

URL to access the resource on the web.

parentstringOptional

Parent ID of the resource.

children_countintegerOptional

Number of child entities associated with this resource.

bookmarked_bystring[]Optional

List of User IDs who have bookmarked the resource.

integrationstringOptional

Identifier for integration from which the resource was extracted.

external_updated_atstringOptional

The last update timestamp of the resource in the source.

internal_usageintegerOptional

Number of times the resource has been viewed within Secoda.

internal_usersstring[]Optional

List of users who have interacted with the resource in Secoda.

external_usersstring[]Optional

List of users who have interacted with the resource in the source.

external_usageintegerOptional

Number of times the resource has been viewed or queried in the Source.

databuilder_idstringOptional

Unique identifier for the resource.

search_metadataobjectOptional

A set of properties used for indexing in search.

sourcesstring[]Optional

Data sources that augment the resource, such as dbt.

subscribersstring[]Optional

List of users subscribed to updates on the resource.

teamsstring[]Optional

Teams IDs associated with the resource.

stalebooleanOptional

Flag indicating if the resource is considered stale.

stale_atstringOptional

Timestamp indicating when the resource was last marked as stale.

forced_unstale_by_userbooleanOptional

Flag indicating if the stale status of the resource was removed by a user action.

current_user_permissionsstringOptional

Permissions of the current user on the resource.

row_countintegerOptional

The number of rows present in the resource.

byte_sizeintegerOptional

The size of the data used by the dashboard in bytes.

display_metadataobjectOptional

Display-specific metadata for rendering the resource in Secoda.

question_statusstringOptional

Status of the question [Not currently in use for Catalog resources].

question_prioritystring · nullableOptional

Priority level of the question [Not currently in use for Catalog resources].

question_answered_bystring · nullableOptional

User ID of the person who answered the question [Not currently in use for Catalog resources].

question_assigned_tostring · nullableOptional

User ID of the person to whom the question is assigned [Not currently in use for Catalog resources].

get
/api/v1/resource/all/{resource_id}

Delete Resource

delete
/api/v1/resource/all/{resource_id}

This endpoint allows you to delete a resource by its unique identifier (resource_id).

Authorizations
Path parameters
resource_idstringRequired

The unique identifier of the resource to delete

Example: 61ce0a34-ce90-4f1a-a135-f122dcbed242
Responses
delete
/api/v1/resource/all/{resource_id}

No content

Edit Resource

patch
/api/v1/resource/all/{resource_id}

This endpoint allows you to edit the metadata of a resource by its unique identifier (resource_id).

Authorizations
Path parameters
resource_idstringRequired

The unique identifier of the resource to edit

Example: 61ce0a34-ce90-4f1a-a135-f122dcbed24
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be - True False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be - True False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be - True False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
chevron-right
200

Resource updated successfully

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be - True False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be - True False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
patch
/api/v1/resource/all/{resource_id}

Bulk Update Resources

post
/api/v1/resource/all/bulk_update/

Use this endpoint to update multiple entities in a single request.

For performance reasons, this endpoint can only handle a maximum of 100 entities at a time.

Authorizations
Bodyobject[]

An array of entities to update.

idstringRequired

The Secoda entity ID to update.

Example: 2d6e7503-8f05-4812-a5da-11863617bc62
Responses
chevron-right
200

This endpoint will return a list of the Secoda entity IDs that were updated.

application/json
string[]Optional
post
/api/v1/resource/all/bulk_update/

Last updated

Was this helpful?